Subject: Win98 + wait stuff = broken (was: Programs randomly crashing.)
From: [email-masked] (rale)

2 Oct 1997 20:40:11 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,
I have the exact same problem too... 
This is what i know (or at least what i think i know) so far:
 - the wait code in wait.cc is busted under win98...
 - configure scripts, or the Makefile from ash, and a bunch of other
things generate the following error:
  (please confirm if this is the same error your getting) 
wait_for_any: WaitForMultipleObjects failed, win32 error 6
wait_for_any: Trying again.
wait_for_any: That didn't help, win32 error 6
 - this error originates from wait.cc, i found this out by just looking
through the patches

I havent been able to try fixing this, as i dont have the entire source,
and i dont have another machine to compile on anyway. (i doubt it would
compile on this one, considering the bug)

Alex wrote:
> 
> On Wed, 1 Oct 1997, Alex wrote:
> 
> > Yech.  After going back through some old posts I decided to try making
> > rpm wiht CYGWIN_SIGCHLD set to 0.  Well things didn't hang, but they
> > decided to gpf.  Next, I downloaded whatever the latest cygwin.dll was
> > from Sergey's page, installed that and libcygwin.a, similar result.  DB
> > 2.x with its gnu autoconf and 1.86 compat stuff bombed out on the
> > configure script.  It seems to me that the original b18 stuff and b17.5
> > stuff never really did this.  Any ideas or fixes?
> 
> Scratch that.  Tar xzvf still got Win98 to hang nicely.
> 
> - alex
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".